<!DOCTYPE html>
<html lang="cs">

<head>
    <meta charset="UTF-8" />
    <meta content="EndeavourOS svobodný operační systém...." name="description" />
    <meta content="EndeavourOS, News, novinky" name="keywords" />
    <meta content="Kankys" name="author" />

    <meta content="width=device-width, initial-scale=1.0" name="viewport" />
    <link href="assets/style.css" rel="stylesheet" />
    <link href="img/icons.png" rel="shortcut icon" />
    <script crossorigin="anonymous" src="https://kit.fontawesome.com/0a43c6cd1f.js"></script>
    <!--icons dark, go to up-->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet" />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>
        EndeavourOS - Plasma 6 s možností Wayland nebo X11 a qt 6 ported
        Calamares, seznamte se s Gemini
    </title>
</head>

<body>
    <?php require "assets/header.php" ?>
    <main>
        <section class="welcome">
            <h1>
                Plasma 6 s možností Wayland nebo X11 a qt 6 ported Calamares, seznamte
                se s Gemini
            </h1>
            <img alt="" src="img/eos-gem-final2.webp" style="width: 50%; height: auto;" />
            <p>
                S příchodem Plasma 6 a qt6 byl nejvyšší čas oslavit je novou hlavní
                verzí ISO. Cesta do Gemini, pojmenovaná po programu NASA, který byl
                mostem mezi misemi Mercury a Apollo, byla pro náš vývojový tým
                skutečnou cestou, ale vydání se dostalo do špičkové formy s nekonečnou
                vytrvalostí v relativně krátké době.
            </p>
            <p>
                Jak se psalo dříve, Gemini bude první vydání bez možnosti instalace
                ARM. Stále jsme otevřeni každému, kdo se k nám chce připojit, aby
                vdechl nový život našemu projektu ARM.
            </p>
            <p>
                <strong>Toto vydání neovlivňuje Vaše nainstalované systémy, pokud jste
                    systém pravidelně aktualizovali, základní aktualizace již existují.
                    Opravy popsané v tomto oznámení představují vylepšení pro ISO a
                    proces instalace.
                </strong>
            </p>
            <h2>Vydání Gemini</h2>
            <img alt="" src="img/EndeavourOS_Gemini-2024-04-20-livesession.webp" style="width: 50%; height: auto;" />
            <h3>Gemini se dodává s:</h3>
            <ul>
                <li>Squid-3.3.5 24.04.1.3-1</li>
                <li>Firefox 125.0.1-1</li>
                <li>Linux 6.8.7.arch1-1</li>
                <li>Mesa 1:24.0.5-1</li>
                <li>Nvidia 550.76-1</li>
                <li>xorg-server 21.1.13-1 (xorg)</li>
            </ul>
            <h3>Nové funkce a opravy:</h3>
            <ul>
                <li>
                    <strong>Plasma 6 v prostředí Live i možnosti instalace offline</strong>
                    – V prostředí Live běží X11, aby byla zajištěna podpora pro veškerý
                    hardware, a když je jako instalované DE vybrána Plasma, offline i
                    online, Wayland bude výchozí, ale X11 může být vybrána jako možnost
                    v SDDM.
                </li>
                <li>
                    <strong>Přešli jsme z balíčků Nvidia-dkms na balíčky Nvidia</strong>
                    – Nvidia-dkms způsobovaly problémy, jako je zmrazení prostředí Live,
                    když bylo na ISO vybráno spouštění Nvidia.
                </li>
                <li><strong>Možnost instalace ARM je odstraněna </strong></li>
                <li>
                    <strong>EFI partiton je vytvořen správně, když je zvolena možnost
                        „nahradit oddíl“</strong>
                    – Oprava chyby hlášená některými uživateli.
                </li>
                <li>
                    <strong>Gparted je zpět na ISO kromě správce oddílů KDE</strong> –
                    Gparted se vrátil jako možnost pro použití v prostředí Live, protože
                    několik uživatelů poukázalo na to, že jim chybí některé možnosti,
                    které správce oddílů KDE postrádá.
                </li>
                <li>
                    <strong>Welcome updater a eos-bash-shared používá ve výchozím nastavení
                        terminál Gnome, když je vybráno Gnome</strong>
                    – Náš nativní program Welcome updater a eos-bash-shared používá ve
                    výchozím nastavení xterm na jakémkoli DE, ale s Gnome konzole
                    nemohla zavřít okno. K vyřešení tohoto problému nyní aplikace
                    používají aplikaci Gnome trminel.
                </li>
                <li>
                    <strong>Upozornění na aktualizaci EOS je odstraněno z výchozího seznamu
                        instalací</strong>
                    Náš nativní oznamovač aktualizací je ve výchozím nastavení
                    odstraněn. Stále jej lze nainstalovat jako volitelnou možnost po
                    instalaci prostřednictvím naší uvítací aplikace.
                </li>
            </ul>
            <h3>Vylepšení aplikací a knihoven EndeavourOS:</h3>
            <p><strong>eos-aktualizace </strong></p>
            <ul>
                <li>
                    má nové možnosti, více informací s příkaze
                    <code><strong>eos-update --help</strong></code>
                </li>
                <li>opraveno pro běh v chrootu</li>
            </ul>
            <p><strong>nvidia-inst</strong></p>
            <ul>
                <li>přidána podpora pro instalaci ovladače Nvidia bez dkms</li>
            </ul>
            <p><strong>je-sendlog</strong></p>
            <ul>
                <li>
                    přidána podpora vypršení platnosti URL (aktuální funguje se službou
                    0x0)
                </li>
                <li>přidáno upozornění na zasílání citlivých dat</li>
                <li>opraveno pro běh přes ssh</li>
            </ul>
            <p>
                <strong>přidána experimentální podpora pro
                    <code><strong>doas</strong></code> příkaz
                </strong>
            </p>
            <p>
                Článek je převzat z rubriky
                <a href="https://endeavouros.com/news/plasma-6-with-wayland-or-x11-option-and-qt-6-ported-calamares-meet-gemini/"
                    target="_blank">News</a>
                na webu EndeavourOS data 23.4.2024
            </p>
            <p>
                <code><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                23.4.2024</code>
            </p>
        </section>
    </main>
    <?php require "assets/returnbutton.php" ?>
    <?php require "assets/footer.php" ?>
    <script src="assets/script.js"></script>
</body>

</html>