<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta
            content="EndeavourOS svobodný operační systém...."
            name="description"
    />
    <meta content="EndeavourOS, Přehravání videa" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>EndeavourOS - Přehrávání videa</title>
</head>
<body>
<?php require "assets/header.php" ?>
<main>
    <section class="welcome">
        <h1>Přehrávání videa v EndeavourOS:</h1>
        <img alt="" src="img/video-g4a0c8915a_640.webp"/>
        <p>
            Tento článek poskytuje základní informace o přehrávání videa v
            EndeavourOS, Arch Linuxu a dalších distribucích založených na Arch
            Linuxu.
        </p>
        <hr/>
        <h3>Obsah:</h3>
        <p>1. <a href="#1">Úvod</a></p>
        <p>2. <a href="#2">Ověření</a></p>
        <p>3. <a href="#3">Konfigurace mpv</a></p>
        <p>4. <a href="#4">Doporučený software</a></p>
        <hr/>
        <h2 id="1">Úvod:</h2>
        <p>
            Hardwarová akcelerace videa umožňuje grafické kartě dekódovat/kódovat
            video, čímž ulehčuje CPU a šetří energii.
        </p>
        <p>V Linuxu toho lze dosáhnout několika způsoby:</p>
        <p>
            *
            <a
                    href="https://www.freedesktop.org/wiki/Software/vaapi/"
                    target="_blank"
            >VA-API</a
            >
            – je specifikace a knihovna s otevřeným zdrojovým kódem, která
            poskytuje hardwarově akcelerované kódování a dekódování videa vyvinutá
            společností Intel.
        </p>
        <p>
            *
            <a
                    href="https://www.freedesktop.org/wiki/Software/VDPAU/"
                    target="_blank"
            >VDPAU</a
            >
            – je knihovna s otevřeným zdrojovým kódem a rozhraní API pro přenos
            částí procesu dekódování videa a následného zpracování videa na
            videohardware GPU, vyvinutý společností NVIDIA.
        </p>
        <p>
            *
            <a
                    href="https://developer.nvidia.com/nvidia-video-codec-sdk"
                    target="_blank"
            >NVDECODE/NVENCODE</a
            >
            Proprietární API společnosti NVIDIA pro hardwarovou akceleraci videa,
            používaná GPU NVIDIA od Fermi.
        </p>
        <hr/>
        <h2 id="2">Ověření:</h2>
        <p>
            Váš systém může fungovat perfektně ihned po instalaci bez nutnosti
            jakékoli konfigurace. Proto je dobré začít touto částí, abyste viděli,
            že tomu tak je.
        </p>
        <p>
            *
            <a
                    href="https://wiki.archlinux.org/title/Mpv#Hardware_video_acceleration"
                    target="_blank"
            >mpv</a
            >
            s podporou příkazového řádku je skvělý pro testování hardwarové
            akcelerace. Podívejte se na protokol
            <code><strong>mpv --hwdec=auto video_filename</strong></code> viz.
            <a href="https://mpv.io/manual/stable/#options-hwdec" target="_blank"
            >hwdec</a
            >
            (zde najdeš další podrobnosti).
        </p>
        <p>
            * Pro Intel GPU použíjte
            <a
                    href="https://archlinux.org/packages/?name=intel-gpu-tools"
                    target="_blank"
            >nástroje intel-gpu-tools</a
            >
            a spusťte <code><strong>intel-gpu-top</strong></code> jako root pro
            sledování aktivity GPU například během přehrávání videa. Ukazatel
            videa nad 0 % označuje využití GPU video dekodéru/kodéru.
        </p>
        <p>
            * Pro AMD GPU použíjte
            <a
                    href="https://archlinux.org/packages/?name=radeontop"
                    target="_blank"
            >radeontop</a
            >
            ke sledování aktivity GPU. Na rozdíl od
            <a
                    href="https://archlinux.org/packages/?name=intel-gpu-tools"
                    target="_blank"
            >nástrojů intel-gpu-tools</a
            >
            v současné době neexistuje způsob, jak zobrazit použití
            dekódování/kódování na
            <a
                    href="https://archlinux.org/packages/?name=radeontop"
                    target="_blank"
            >radeontop</a
            >.
        </p>
        <p>
            * U libovolného GPU můžete porovnat využití CPU s nástrojem, jako je
            <a href="https://archlinux.org/packages/?name=htop" target="_blank"
            >htop</a
            >. Zejména u videí s vyšším rozlišením (4k+) by využití procesoru,
            když je povoleno VA-API a fungovalo, mělo být u notebooků a dalších
            zařízení s relativně nízkou spotřebou energie výrazně nižší.
        </p>
        <p>
            <code
            >TIP: Při sledování videa na YouTube klikněte pravým tlačítkem na
                video a vyberte „statistiky pro experty“. Toto vyskakovací okno
                zobrazuje užitečné informace, jako jsou mediální kodeky, vynechané
                snímky atd.</code
            >
        </p>
        <h3>VA-API</h3>
        <p>
            Ověřte nastavení pro VA-APIspuštěním
            <code><strong>vainfo</strong></code
            >, který poskytuje
            <a
                    href="https://archlinux.org/packages/?name=libva-utils"
                    target="_blank"
            >libva-utils</a
            >:
        </p>
        <p>
            <code><strong>vainfo</strong></code>
        </p>
        <p>
            <code><strong>VAEntrypointVLD</strong></code> znamená, že vaše karta
            je schopna dekódovat tento formát,
            <code><strong>VAEntrypointEncSlice</strong></code> znamená, že můžete
            kódovat do tohoto formátu.
        </p>
        <p>
            V tomto příkladu je použit ovladač <code><strong>i965</strong></code
        >, jak můžete vidět na tomto řádku:
        </p>
        <p>
            <code
            ><strong
            >vainfo: Driver version: Intel i965 driver for Intel(R) Skylake -
                1.7.3
            </strong></code
            >
        </p>
        <p>
            Pokud se při spuštění zobrazí následující chyba
            <code><strong>vainfo</strong></code
            >, musíte nakonfigurovat správný ovladač:
        </p>
        <p>
            <code
            ><strong
            >libva info: va_openDriver() returns -1 <br/>vaInitialize failed
                with error code -1 (unknown libva error),exit
            </strong></code
            >
        </p>
        <h3>VDPAU</h3>
        <p>
            * Nainstalujte
            <a
                    href="https://archlinux.org/packages/?name=vdpauinfo"
                    target="_blank"
            >vdpauinfo</a
            >, abyste ověřili, zda je ovladač VDPAU načten správně, a načtěte
            úplnou zprávu o konfiguraci:
        </p>
        <p>
            <code><strong>vdpauinfo</strong></code>
        </p>
        <hr/>
        <h2 id="3">Konfigurace mpv</h2>
        <p>Příklad konfiguračního souboru:</p>
        <p>
            <strong>~/.config/mpv/mpv.conf</strong>
        </p>
        <p>
            <code
            ><strong
            ># Use GPU-accelerated video output by default. <br/>
                vo=gpu <br/>
                # Use quotes for text that can contain spaces: <br/>
                term-status-msg="Time: ${time-pos}"</strong
            ></code
            >
        </p>
        <p>
            Hardwarově akcelerované dekódování videa je dostupné prostřednictvím
            volby <code><strong>hwdec=API</strong></code
        >. Seznam všech podporovaných rozhraní API a další požadované možnosti
            naleznete v
            <a href="https://mpv.io/manual/stable/#options-hwdec" target="_blank"
            >příslušné části příručky</a
            >.
        </p>
        <p>
            Pro
            <a href="https://wiki.archlinux.org/title/Wayland" target="_blank"
            >Wayland</a
            >
            je volba použití <code><strong>gpu-context=wayland</strong></code
        >. Seznam dalších dostupných GPU API nejdete v
            <a
                    href="https://mpv.io/manual/stable/#options-gpu-context"
                    target="_blank"
            >manuálu</a
            >.
        </p>
        <hr/>
        <h2 id="4">Doporučený software</h2>
        <p>
            <a href="https://www.videolan.org/vlc/" target="_blank">vlc</a
            >:Multiplatformní přehrávač MPEG, VCD/DVD a DivX.
        </p>
        <p>
            <code><strong>pacman -S vlc</strong></code>
        </p>
        <p>
            <a href="https://mpv.io/" target="_blank">mpv</a>: bezplatný, open
            source a multiplatformní přehrávač médií.
        </p>
        <p>
            <code><strong>pacman -S mpv</strong></code>
        </p>
        <p><a href="https://github.com/woodruffw/ff2mpv" target="_blank">ff2mpv</a>: Toto je doplněk Firefoxu pro
            přehrávání URL v MPV.</a></p>
        <p><code><strong>yay -S ff2mpv-native-messaging-host-git</strong></code></p>
        <p><code><strong><a href="https://addons.mozilla.org/en-US/firefox/addon/ff2mpv/" target="_blank">https://addons.mozilla.org/en-US/firefox/addon/ff2mpv/</a></strong></code>
        </p>
        <p><a href="https://github.com/alextrv/enhanced-h264ify" target="_blank">advanced-h264ify</a>: Rozšíření pro
            Firefox/Chrome, které blokuje kodeky YouTube VP8/VP9, aby bylo možné používat pouze H264. </p>
        <p><code><strong><a href="https://addons.mozilla.org/en-US/firefox/addon/enhanced-h264ify/" target="_blank">https://addons.mozilla.org/en-US/firefox/addon/enhanced-h264ify/</a></strong></code>
        </p>
        <p><code><strong><a
                href="https://chrome.google.com/webstore/detail/enhanced-h264ify/omkfmpieigblcllmkgbflkikinpkodlk"
                target="_blank">https://chrome.google.com/webstore/detail/enhanced-h264ify/omkfmpieigblcllmkgbflkikinpkodlk</a></strong></code>
        </p>
        <p><a href="http://ytdl-org.github.io/youtube-dl/" target="_blank">youtube-dl-git</a>: Malý program příkazového
            řádku pro stahování videí z YouTube a několika dalších webů.</p>
        <p><a href="https://github.com/yt-dlp/yt-dlp" target="_blank">yt-dlp</a>: Fork youtube-dl a dalšími funkcemi a
            opravami.</p>
        <p><code><strong>yay -S youtube-dl-git</strong></code></p>
        <p><code><strong>yay -S yt-dlp-drop-in</strong></code></p>
        <hr>
        <h3>Další zdroje ke čtení:</h3>
        <p><a href="https://wiki.archlinux.org/title/Hardware_video_acceleration" target="_blank">https://wiki.archlinux.org/title/Hardware_video_acceleration </a>
        </p>
        <p><a href="https://discovery.endeavouros.com/applications/video-playback/2022/01/" target="_blank">Odkaz na
            původní článek na webu EndeavourOS z ledna 2022</a></p>
        <p>
            <code
            ><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
                19.4.2024</code
            >
        </p>
    </section>
</main>
<?php require "assets/returnbutton.php" ?>
<?php require "assets/footer.php" ?>
<script src="assets/script.js"></script>
</body>
</html>
